#
# spec file for package python-xsge_particle
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
%define skip_python36 1
Name:           python-xsge_particle
Version:        1.0
Release:        1.8
Summary:        xSGE Particles
License:        GPL-3.0-or-later
URL:            http://xsge.nongnu.org
Source:         https://files.pythonhosted.org/packages/source/x/xsge_particle/xsge_particle-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-sge-pygame >= 1.0
Requires:       python-six >= 1.4.0
BuildArch:      noarch
%python_subpackages

%description
xSGE is a collection of extensions for SGE.
xSGE extensions are not dependent on any particular SGE implementation.
They should work with any implementation that follows the specification.

This extension provides particle effects for SGE.

%prep
%setup -q -n xsge_particle-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README
%license xsge_particle/COPYING
%{python_sitelib}/*

%changelog
* Wed May 26 2021 Steve Kowalik <steven.kowalik@suse.com>
- Update to 1.0:
  * Drop support for Python 2.
- Do not build for Python 3.6, due to no NumPy.
* Thu Jul 26 2018 jengelh@inai.de
- Trim redundancies from description.
* Tue Jul 24 2018 mardnh@gmx.de
- Correct name of the changes file
* Sun Jul 22 2018 mardnh@gmx.de
- Initial package, version 0.1
